searchData={"items":[{"type":"module","title":"Plain","doc":"","ref":"Plain.html"},{"type":"function","title":"Plain.addCustomerToTenant/2","doc":"# Add customers to tenants\n\nYou can add a customer to multiple tenants.\n\nWhen selecting the customer you can chose how to identify them. This SDK uses the customer’s plain id.\n\nFor this mutation you need the following permissions:\n\n- `customer:edit`\n- `customerTenantMembership:create`","ref":"Plain.html#addCustomerToTenant/2"},{"type":"function","title":"Plain.createOrUpdateCustomer/4","doc":"# Upserting customers\nCreating and updating customers is handled via a single API called `upsertCustomer`. You will find this name in both the API and this SDK.\n\nWhen you upsert a customer, you define:\n1. The identifier: This is the field you’d like to use to select the customer and is one of\n  - `emailAddress`: This is the customer’s email address. Within Plain email addresses are unique to customers.\n  - `customerId`: This is Plain’s customer ID. Implicitly if you use this as an identifier you will only be updating the customer since the customer can’t have an id unless it already exists.\n  - `externalId`: This is the customer’s id in your systems. If you previously set this it can be a powerful way of syncing customer details from your backend with Plain.\n2. The customer details you’d like to use if creating the customer.\n3. The customer details you’d like to update if the customer already exists.\n\nWhen upserting a customer you will always get back a customer or an error.\n\n​","ref":"Plain.html#createOrUpdateCustomer/4"},{"type":"function","title":"Upserting a customer - Plain.createOrUpdateCustomer/4","doc":"This operation requires the following permissions:\n- `customer:create`\n- `customer:edit`","ref":"Plain.html#createOrUpdateCustomer/4-upserting-a-customer"},{"type":"function","title":"Plain.createOrUpdateTenant/2","doc":"","ref":"Plain.html#createOrUpdateTenant/2"},{"type":"function","title":"Plain.createOrUpdateTenant/3","doc":"# Upserting tenants\n\nWhen upserting a tenant you need to specify an `externalId` which matches the id of the tenant in your own backend.\n\nFor example if your product is structured in teams, then when creating a tenant for a team you’d use the team’s id as the `externalId`.\n\nTo upsert a tenant you need the following permissions:\n- `tenant:read`\n- `tenant:create`","ref":"Plain.html#createOrUpdateTenant/3"},{"type":"function","title":"Plain.createTier/5","doc":"","ref":"Plain.html#createTier/5"},{"type":"function","title":"Plain.getCustomerById/1","doc":"If you already have the ID of a customer from within Plain or one of our other endpoints you can fetch more details about them using getCustomerById in the SDK.\n\nThese endpoints require the following permissions:\n- `customer:read`","ref":"Plain.html#getCustomerById/1"},{"type":"function","title":"Plain.getTierById/1","doc":"If you know the tiers’s ID in Plain you can use this method to fetch the tier.\n\nFor this query you need the following permission:\n- `tier:read`","ref":"Plain.html#getTierById/1"},{"type":"function","title":"Plain.removeCustomerFromTenant/2","doc":"# Remove customers from tenants\n\nYou can remove customers from multiple tenants in one API call.\n\nWhen selecting the customer you can chose how to identify them. This SDK uses the customer’s plain id.\n\nFor this mutation you need the following permissions:\n- `customer:edit`\n- `customerTenantMembership:delete`","ref":"Plain.html#removeCustomerFromTenant/2"},{"type":"function","title":"Plain.removeTenantTier/1","doc":"","ref":"Plain.html#removeTenantTier/1"},{"type":"function","title":"Plain.updateTenantTier/2","doc":"# Update tenant tier\nIf you want to explicitly set the tier for a tenant you can do so using this mutation.\n\nThe `tierIdentifier` and `tenantIdentifier` refer to the IDs given by Plain.\n\nFor this mutation you need the following permissions:\n  - `tierMembership:read`\n  - `tierMembership:create`","ref":"Plain.html#updateTenantTier/2"}],"content_type":"text/markdown","producer":{"name":"ex_doc","version":[48,46,51,50,46,50]}}